// COPYRIGHT_START
// ****************************************
// File: lhtReturnCodes.H
//
// (C) Copyright IBM Corporation 2014, 2014
// ****************************************
// COPYRIGHT_END
#ifndef lhtReturnCodes_H
#define lhtReturnCodes_H

// If not defined from including ecmdReturnCodes.H, define it here
#ifndef ECMD_ERR_LHT
 #define ECMD_ERR_LHT                           0x20000000 ///< Error came from Linux Host Tool
#endif

// Our catch all error code
#define LHT_GENERAL_ERROR                       (ECMD_ERR_LHT | 0xFFFFFF)

// Special RC indicating not to use out.error
#define LHT_OUT_ERROR_DO_NOT_USE                (ECMD_ERR_LHT | 0xAAAAAA)

/******************************/
/* DLL Interface Functions    */
/******************************/
#define LHT_INIT_ERROR                          (ECMD_ERR_LHT | 0x100001)
#define LHT_CNFG_MISSING                        (ECMD_ERR_LHT | 0x100003)
#define LHT_CNFG_FORMAT_ERROR                   (ECMD_ERR_LHT | 0x100005)

/********************/
/* VPD Functions    */
/********************/
#define LHT_VPD_KEYWORD_NOT_FOUND               (ECMD_ERR_LHT | 0x200001)
#define LHT_VPD_GENERAL_ERROR                   (ECMD_ERR_LHT | 0x200003)
#define LHT_VPD_BAD_TAG                         (ECMD_ERR_LHT | 0x200005)
#define LHT_VPD_BAD_KEYWORD                     (ECMD_ERR_LHT | 0x200007)
#define LHT_VPD_BAD_RECORD                      (ECMD_ERR_LHT | 0x200009)
#define LHT_VPD_OPEN_FAILED                     (ECMD_ERR_LHT | 0x20000B)
#define LHT_VPD_WRITE_FAILED                    (ECMD_ERR_LHT | 0x20000D)

/********************/
/* Object Errors    */
/********************/
#define LHT_OBJECT_DOESNT_EXIST                (ECMD_ERR_LHT | 0x300001)
#define LHT_OBJECT_ALREADY_EXISTS              (ECMD_ERR_LHT | 0x300003)
#define LHT_VARIABLE_NOT_SET                   (ECMD_ERR_LHT | 0x300005)

#endif /* lhtReturnCodes_H */


